-- 藏品道具详情
checkRequire("Lua_ItemDetailsPanel");
Lua_CollectionCabinetDetailsPanel = class("Lua_CollectionCabinetDetailsPanel", Lua_ItemDetailsPanel);
function Lua_CollectionCabinetDetailsPanel:ctor(p, skin, frameBuild)
	self:superCall("ctor", p, skin, frameBuild);
end

function Lua_CollectionCabinetDetailsPanel:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CollectionCabinetDetailsPanel:showButtonList(list, startY)
	if self.isShowBtns ~= true then
		return 0;
	end

	local width = 141;
	local height = 54;
	local langId;
	self.collectVo = DataCenter.collectionCabinetData:getCollectionCabinetVo(self.data.collectionCabinetId);
	if not self.collectVo.isActive then -- 藏品激活
		langId = 787037;
	else
		if not self.collectVo.isMaxStar then -- 藏品升星
			langId = 787038;
		else
			langId = 787039;
		end
	end
	self.operateBtn = UICreate.createButton(self.content, nil, 0, 0, width, height);
	self.operateBtn.txt.fontSize = 28;
	self.operateBtn.txt:setLocation(0, 0, 0);
	self.operateBtn.pivotValue = 1;
	self.operateBtn:setLangValue(langId);
	self.operateBtn:setStyle(14);
	self.operateBtn:SetDimensions(width, height);
	self.operateBtn:setLocation(0, startY, 0);
	self.operateBtn:addClickFuntion(self, self.onBtnClick);
	return height;
end

function Lua_CollectionCabinetDetailsPanel:onBtnClick(go)
	if not self.collectVo.isActive then -- 藏品激活
		if self.collectVo.isCanActive then
			Lua_ProxyManager.getProxy("Lua_PackProxy"):sSyntheticItem(self.collectVo.chipId, 1);
			Lua_WindowUtil.openWin("Lua_ItemDetailsWindow", Lua_WinParam.ACTION_CLOSE);
		else
			local itemId, hasNum;
			for k,v in pairs(self.collectVo.activeCostItemDic) do
				hasNum = DataCenter.packData:getItemCountById(k);
				if hasNum < v then
					itemId = k;
					break;
				end
			end
			DataCenter.packUtil:openPathWindow(itemId);
		end
	else
		if not self.collectVo.isMaxStar then -- 藏品升星
			Lua_WindowUtil.openWin("Lua_CollectionCabinetUpStarWindow", Lua_WinParam.ACTION_OPEN, {data = self.collectVo, isToggle = false});
			Lua_WindowUtil.openWin("Lua_ItemDetailsWindow", Lua_WinParam.ACTION_CLOSE);
		else -- 藏品分解
			DataCenter.packUtil:doActClick(self.data, 3);
		end
	end
end

function Lua_CollectionCabinetDetailsPanel:dispose()
	if self.operateBtn ~= nil then
		self.operateBtn:dispose();
		self.operateBtn = nil;
	end
	self.collectVo = nil;
	self:superCall("dispose");
end