-- 异兽招募奖励显示窗口
checkRequire("Lua_ObtainItemTipsWindow");
Lua_StrangeBeastRecruitRewardWindow = class("Lua_StrangeBeastRecruitRewardWindow", Lua_ObtainItemTipsWindow);
function Lua_StrangeBeastRecruitRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_StrangeBeastRecruitRewardWindow";
end

function Lua_StrangeBeastRecruitRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.againBtn = UICreate.createButton(self.content, "", -141, -205, 220, 67);
	self.sureBtn = UICreate.createButton(self.content, LanUtil.getValue(200716), 141, -205, 220, 67);
	self.againBtn:addClickFuntion(self, self.onAgainBtn);
	self.sureBtn:addClickFuntion(self, self.hide);
end

function Lua_StrangeBeastRecruitRewardWindow:showWin(msg)
	self.type = msg.type;
	local itemList = msg.item_list;
	if itemList == nil or #itemList <= 0 then
		self:hide();
	end

	local id;
	local tvo;
	local obj;
	local arr = Array();
	for i = 1, #itemList do
		obj = itemList[i];
		id = tonumber(obj.id);
		tvo = Lua_ToolVo.createToolVo(id);
		tvo:fromServer(obj);
		arr:add(tvo);
	end

    self:superCall("showWin", arr);
    if self.type == 0 then
    	self.againBtn:setLangValue(782127);
    elseif self.type == 1 then
    	self.againBtn:setLangValue(782128);
    else
    	self.againBtn.label = nil;
    end
end

function Lua_StrangeBeastRecruitRewardWindow:onAgainBtn()
	if self.type == 0 then
		self:hide();
		Lua_MsgUtil.callFunc("CLICK_STRANGEBEAST_ONERECRUIT");
	elseif self.type == 1 then
		self:hide();
		Lua_MsgUtil.callFunc("CLICK_STRANGEBEAST_TENRECRUIT");
	end
end